:root {
  --primary_color: #002c4f;
  --secondary_color: #4f6b83;
  --tertiary_color: #fff;
  --shadow_bg_color: #f5f6f8;
  --bar_ok_color: #d5efaa;
  --bar_warning_color: #ffa500;
  --bar_error_color: #cc7462;
  --header_font_size: 24px;
  --subtitle_font_size: 16px;
  --values_font_size: 21px;
  --tab_font_size: 14px;
  --results_font_size: 14px;
  --tooltip_font_size: 12px;
  --dialog_textfield_font_size: 20px;
  --dialog_label_font_size: 14px;
  --mdl_content_overflow: auto;
  --tab2_visible: block;
  --tab3_visible: block;
  --baurechtszins_visible: block;
  --right_tab_button_visible: inline-block;
  --text_error_color: red;
}

* {
  font-family: "Roboto", "Helvetica", "Arial", sans-serif;
}

body {
  overflow-x: hidden;
  overflow-y: hidden;
}

h2 {
  font-size: var(--header_font_size);
}

.mdl-layout__tab-panel {
  max-width: 1000px;
  margin: auto;
}

.mdl-layout__tab-bar-button {
  width: 30px !important;
}

@media (min-width: 700px) {
  .calculator {
    flex-wrap: nowrap !important;
  }
  .calculator-child {
    flex-basis: 50%;
  }
  .maxkaufpreis-wrapper {
    padding-left: 80px;
    padding-top: 12px;
  }
}

@media (max-width: 700px) {
  #calc-form-first-accordion .flex-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
  }
  #calc-form-first-accordion .flex-container > * {
    padding: 10 0px;
  }
  .input-box {
    width: 45% !important;
    max-width: 45% !important;
    min-width: 45% !important;
  }
  .input-box input {
    width: 100%;
  }
}

.tab1 {
  display: block;
}

.tab2 {
  display: var(--tab2_visible);
}

.tab3 {
  display: var(--tab3_visible);
}

.baurechtszins-wrapper {
  display: var(--baurechtszins_visible) !important;
}

.mdl-layout__tab-bar-right-button {
  display: var(--right_tab_button_visible);
}

.info-wrapper {
  display: flex;
  flex-grow: initial !important;
}

#calc-form-first-accordion .flex-container {
  justify-content: space-around;
}

.calculator {
  display: flex;
  flex-wrap: wrap;
}

.calculator-child {
  width: 100% !important;
  flex-basis: 100%;
  background-color: white;
  margin: 15px;
  padding: 25px !important;
  border-radius: 20px;
}

.calc-inputs {
  padding: 5px;
  overflow: hidden;
  padding: 5px;
  width: auto;
  height: auto;
}

.text-error {
  color: var(--text_error_color);
}

.hidden {
  display: none;
}

.flex-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.flex-container > input {
  max-width: 110px !important;
}

.flex-container > * {
  flex-basis: 100%;
  flex: 1 1 0px;
}

.single-row-flex > * {
  flex-basis: auto !important;
  flex: auto !important;
}

.flex-container .text-right {
  font-size: 18px;
  margin: 10px 0;
  text-align: right;
}

.dropdown {
  border: none;
  background: transparent;
  border-bottom: 1px solid #d5cfcf;
  outline: none;
  font-size: 16px;
  max-width: 80px;
  width: 80px;
}

.footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-top: 1px dashed #0d1020;
  margin-top: 40px;
  padding-top: 20px;
}

.footer .text-right {
  color: #0d1020;
}

input {
  outline: none;
  /* font-size: 21px !important; */
}

.contact-area {
  padding: 20px 0;
  text-align: center;
}

.icon-info {
  font-size: 16px;
  color: var(--secondary_color);
}

p.maxKaupfpreis {
  margin-top: 3px;
  font-size: 23px;
  color: #4caf50;
}

.first-inputs {
  width: 100%;
}

.first-inputs .input-group {
  width: 49%;
}

.first-inputs .input-collection {
  border-bottom: 0px;
  padding-bottom: 0px;
}

.container-top {
  display: flex;
  flex-flow: wrap;
  justify-content: space-around;
  align-items: center;
}

.container-title {
  border-bottom: 1px dashed gray;
  margin-bottom: 20px;
  padding-left: 0px;
  padding-top: 0px;
}

.chart-container {
  padding: 10px 0px;
}

/* .chart-title {
  border-bottom: 1px dashed gray;
  display: flex;
  justify-content: space-between;
  padding-left: 0px;
}

.chart-title-right {
  color: green;
  font-weight: normal;
} */

.nettoeinkommenMaxPreis {
  border-bottom: 1px solid gray !important;
  width: 200px !important;
}

#nettoeinkommenMaxPreis {
  text-align: left !important;
}

.bottom-results {
  min-height: 120px;
}

/* material-ui overrides */

.mdl-layout__content {
  color: var(--primary_color) !important;
  background-color: transparent !important;
  overflow: var(--mdl_content_overflow) !important;
}
.mdl-layout__header {
  min-height: auto !important;
  background-color: var(--primary_color) !important;
}

.mdl-layout__tab-bar-button {
  background-color: var(--primary_color) !important;
}
.mdl-layout__tab-bar {
  background-color: var(--primary_color) !important;
  height: 48px;
  padding: 0 0 0 30px !important;
}

.mdl-layout__tab {
  font-size: var(--tab_font_size);
}

.mdl-layout__tab.is-active::after {
  background: var(--tertiary_color) !important;
}

.mdl-textfield {
  width: auto !important;
}

.mdl-textfield__input {
  text-align: right;
  color: var(--primary_color) !important;
  font-size: var(--values_font_size) !important;
}

.mdl-card {
  font-size: var(--subtitle_font_size) !important;
}

.mdl-card__title-text {
  font-size: var(--header_font_size) !important;
}
.mdl-card__title {
  color: var(--primary_color) !important;
  font-size: var(--header_font_size) !important;
  padding: 8px 0px !important;
}

.mdl-slider {
  width: 100% !important;
}

.mdl-slider__container {
  margin: 20px 0 40px 0;
  width: 100%;
}

.mdl-slider__background-flex {
  height: 2px;
  border-radius: 30px;
}

.mdl-button {
  border-radius: 25px;
}

.mdl-button--raised[disabled][disabled] {
  background-color: rgba(0,0,0,.12) !important;
}
.mdl-button--accent.mdl-button--accent {
  background-color: var(--primary_color) !important;
}

/* disabling ripple effect on button; breaks iOS */
.mdl-ripple {
  visibility: hidden !important;
}

.hypothek-container {
  margin-bottom: 22px;
  padding: 8px 4px;
}

.hypothek-container .icon {
  margin-left: 8px;
}

.hypothek-prefix {
  justify-content: space-between;
  border-bottom: none !important;
}

.hypothek .prefix {
  margin-left: 4px;
}

.hypothek-value {
  margin: 0;
  text-align: right;
  font-size: var(--values_font_size) !important;
}

.slider-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 16px 0px 40px;
}

.slider-button {
  width: 22px;
  height: 22px;
  border: 2px solid var(--primary_color);
  text-align: center;
  border-radius: 6px;
  color: var(--primary_color);

  display: flex;
  justify-content: center;
  align-items: center;

  user-select: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

.slider-button:hover {
  cursor: pointer;
}
.icon:hover {
  cursor: pointer;
}

/* Dialog */
.mdl-dialog {
  border: none;
  box-shadow: 0 9px 46px 8px rgba(0, 0, 0, 0.14),
    0 11px 15px -7px rgba(0, 0, 0, 0.12), 0 24px 38px 3px rgba(0, 0, 0, 0.2);
  width: 380px;
  border-radius: 25px;
}
.mdl-dialog__title {
  padding: 24px 24px 0;
  margin: 0;
  font-size: 2.5rem;
}
.mdl-dialog__actions {
  padding: 8px 0px;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-direction: row-reverse;
  -ms-flex-direction: row-reverse;
  flex-direction: row-reverse;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}
.mdl-dialog__actions > * {
  margin-right: 8px;
  height: 36px;
}
.mdl-dialog__actions > *:first-child {
  margin-right: 0;
}
.mdl-dialog__actions--full-width {
  padding: 0 0 8px 0;
}
.mdl-dialog__actions--full-width > * {
  height: 48px;
  -webkit-flex: 0 0 100%;
  -ms-flex: 0 0 100%;
  flex: 0 0 100%;
  padding-right: 16px;
  margin-right: 0;
  text-align: right;
}
.mdl-dialog__content {
  padding: 20px 24px 24px 24px;
  color: rgba(0, 0, 0, 0.54);
}

.mdl-dialog label {
  font-size: var(--dialog_label_font_size);
  color: var(--primary_color)!important;
}
.mdl-dialog .mdl-textfield__input {
  /* border-bottom: 1px solid gray; */
  text-align: left;
  width: 100% !important;
  font-size: var(--dialog_textfield_font_size) !important;
  min-height: 44px;
}

.mdl-textfield__input {
  padding: 4px;
}

/* slider */
.mdl-slider__background-lower {
  background: var(--primary_color) !important;
}
.mdl-slider :active::-webkit-slider-thumb {
  background: var(--primary_color) !important;
}
.mdl-slider::-webkit-slider-thumb {
  background: var(--primary_color) !important;
}

.mdl-slider:active::-moz-range-thumb {
  background: var(--primary_color) !important;
}
.mdl-slider::-moz-range-thumb {
  background: var(--primary_color) !important;
}

.mdl-slider:active::-ms-thumb {
  background: var(--primary_color) !important;
}
.mdl-slider::-ms-thumb {
  background: var(--primary_color) !important;
}

.swal2-styled.swal2-confirm {
  background-color: var(--primary_color) !important;
}

.bar-header {
  display: flex;
}

.bar-container {
  height: 20px;
  padding: 15px 0px;
  width: 100%;
  display: flex;
}

.bar-indicator {
  width: 2px;
  height: 36px;
  margin-top: -8px;
  background-color: black;
  position: relative;
}

.bar-left-side {
  background-color: var(--bar_ok_color);
  width: 80%;
  height: 20px;
}

.bar-middle {
  background-color: var(--bar_warning_color);
  width: 6.5%;
  height: 20px;
}

.bar-right-side {
  background-color: var(--bar_error_color);
  width: 20%;
  height: 20px;
}

.bar-description {
  margin-top: 20px;
  text-align: left;
  min-height: 100px;
}

.bar-description p {
  font-size: var(--results_font_size) !important;
}

.bar-section2 .bar-left-side {
  width: 38%;
}

.bar-section2 .bar-right-side {
  width: 66%;
}

.bar-section2 .bar-indicator {
  left: 0%;
}

.bg-area {
  background-color: #f5f6f8;
}

.hypothek-bg {
  background-color: var(--shadow_bg_color) !important;
}

.input-box {
  display: flex;
  align-items: center;
  border-bottom: 1px solid var(--primary_color) !important;
  width: 160px;
  max-width: 160px;
  min-width: 160px;
}

.input-box .prefix {
  font-size: var(--values_font_size) !important;
}

.input-box input {
  width: 100%;
  max-width: 160px;
  border: none;
}

.mdl-tooltip {
  background-color: var(--tertiary_color) !important;
  color: var(--primary_color) !important;
  font-family: Arial, Helvetica, sans-serif;
  font-weight: normal;
  font-size: var(--tooltip_font_size);
  border: 1px solid lightgray;
  border-radius: 5px;
  box-shadow: 5px 5px 25px -2px lightgray;
  -webkit-box-shadow: 5px 5px 25px -2px lightgray;
  -moz-box-shadow: 5px 5px 25px -2px lightgray;
}

.summary-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.summary-container .amount {
  font-size: var(--values_font_size) !important;
}

input[type="range"] {
  -webkit-appearance: none;
  appearance: none;
  margin: 15px 25px;
  width: 80%;
  height: 1px;
  background: rgba(255, 255, 255, 0.6);
  border-radius: 5px;
  background-color: var(--secondary_color) !important;
}

input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  height: 20px;
  width: 20px;
  border-radius: 50%;
  background: var(--primary_color) !important;
  cursor: pointer;
  transition: background 0.3s ease-in-out;
}

input[type="range"]::-webkit-slider-runnable-track {
  -webkit-appearance: none;
  box-shadow: none;
  border: none;
  background: transparent;
}

.mdl-button--mini-fab {
  height: 24px !important;
  min-width: 24px !important;
  width: 24px !important;
  border: 1px solid;
  background: var(--secondary_color) !important;
  color: var(--tertiary_color) !important;
}

input::-webkit-date-and-time-value {
  text-align: left !important;
}
